Package org.eclipse.jface.action

## Class ToolBarContributionItem

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.jface.action.ToolBarContributionItem

All Implemented Interfaces:
  `IContributionItem`, `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`

    public class ToolBarContributionItem
    extends ContributionItem
    implements org.eclipse.jface.internal.provisional.action.IToolBarContributionItem

The `ToolBarContributionItem` class provides a wrapper for tool bar managers when used in cool bar managers. It extends `ContributionItem` but and provides some additional methods to customize the size of the cool item and to retrieve the underlying tool bar manager.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static int` `SHOW_ALL_ITEMS` A constant used by `setMinimumItemsToShow` and `getMinimumItemsToShow` to indicate that all tool items should be shown in the cool item.

### Constructor Summary

Constructors
`ToolBarContributionItem()` Convenience method equivalent to `ToolBarContributionItem(new ToolBarManager(), null)`.
`ToolBarContributionItem​(IToolBarManager toolBarManager)` Convenience method equivalent to `ToolBarContributionItem(toolBarManager, null)`.
`ToolBarContributionItem​(IToolBarManager toolBarManager, String id)` Creates a tool bar contribution item.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` The default implementation of this `IContributionItem` method does nothing.
`void` `fill​(CoolBar coolBar, int index)` The default implementation of this `IContributionItem` method does nothing.
`int` `getCurrentHeight()` Returns the current height of the corresponding cool item.
`int` `getCurrentWidth()` Returns the current width of the corresponding cool item.
`int` `getMinimumItemsToShow()` Returns the minimum number of tool items to show in the cool item.
`IToolBarManager` `getToolBarManager()` Returns the internal tool bar manager of the contribution item.
`boolean` `getUseChevron()` Returns whether chevron support is enabled.
`boolean` `isVisible()` A contribution item is visible iff its internal state is visible or the tool bar manager contains something other than group markers and separators.
`void` `saveWidgetState()` The default implementation of this `IContributionItem` method does nothing.
`void` `setCurrentHeight​(int currentHeight)` Sets the current height of the cool item.
`void` `setCurrentWidth​(int currentWidth)` Sets the current width of the cool item.
`void` `setMinimumItemsToShow​(int minimumItemsToShow)` Sets the minimum number of tool items to show in the cool item.
`void` `setUseChevron​(boolean value)` Enables or disables chevron support for the cool item.
`void` `update​(String propertyName)` The `ContributionItem` implementation of this method declared on `IContributionItem` does nothing.

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, setId, setParent, setVisible, toString, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IContributionItem

`fill, fill, fill, getId, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, setParent, setVisible, update`

### Methods inherited from interface org.eclipse.jface.internal.provisional.action.IToolBarContributionItem

`getParent`

### Field Detail

#### SHOW_ALL_ITEMS

    public static final int SHOW_ALL_ITEMS

A constant used by `setMinimumItemsToShow` and `getMinimumItemsToShow` to indicate that all tool items should be shown in the cool item.

See Also:
  Constant Field Values

### Constructor Detail

#### ToolBarContributionItem

    public ToolBarContributionItem()

Convenience method equivalent to `ToolBarContributionItem(new ToolBarManager(), null)`.

#### ToolBarContributionItem

    public ToolBarContributionItem​(IToolBarManager toolBarManager)

Convenience method equivalent to `ToolBarContributionItem(toolBarManager, null)`.

Parameters:
  `toolBarManager` - the tool bar manager

#### ToolBarContributionItem

    public ToolBarContributionItem​(IToolBarManager toolBarManager,
                                   String id)

Creates a tool bar contribution item.

Parameters:
  `toolBarManager` - the tool bar manager to wrap
  `id` - the contribution item id, or `null` if none

### Method Detail

#### dispose

    public void dispose()

Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `ContributionItem`

#### fill

    public void fill​(CoolBar coolBar,
                     int index)

Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`
Parameters:
  `coolBar` - the parent cool bar
  `index` - the index where the controls are inserted, or `-1` to insert at the end

#### getCurrentHeight

    public int getCurrentHeight()

Returns the current height of the corresponding cool item.

Specified by:
  `getCurrentHeight` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Returns:
  the current height

#### getCurrentWidth

    public int getCurrentWidth()

Returns the current width of the corresponding cool item.

Specified by:
  `getCurrentWidth` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Returns:
  the current size

#### getMinimumItemsToShow

    public int getMinimumItemsToShow()

Returns the minimum number of tool items to show in the cool item.

Specified by:
  `getMinimumItemsToShow` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Returns:
  the minimum number of tool items to show, or `SHOW_ALL_ITEMS` if a value was not set
See Also:
  `setMinimumItemsToShow(int)`

#### getToolBarManager

    public IToolBarManager getToolBarManager()

Returns the internal tool bar manager of the contribution item.

Specified by:
  `getToolBarManager` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Returns:
  the tool bar manager, or `null` if one is not defined.
See Also:
  `IToolBarManager`

#### getUseChevron

    public boolean getUseChevron()

Returns whether chevron support is enabled.

Specified by:
  `getUseChevron` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Returns:
  `true` if chevron support is enabled, `false` otherwise

#### isVisible

    public boolean isVisible()

A contribution item is visible iff its internal state is visible or the tool bar manager contains something other than group markers and separators.

Specified by:
  `isVisible` in interface `IContributionItem`
Overrides:
  `isVisible` in class `ContributionItem`
Returns:
  `true` if the tool bar manager contains something other than group marks and separators, and the internal state is set to be visible.

#### saveWidgetState

    public void saveWidgetState()

Description copied from class: `ContributionItem`
The default implementation of this `IContributionItem` method does nothing. Subclasses may override.

Specified by:
  `saveWidgetState` in interface `IContributionItem`
Overrides:
  `saveWidgetState` in class `ContributionItem`

#### setCurrentHeight

    public void setCurrentHeight​(int currentHeight)

Sets the current height of the cool item. Update(SIZE) should be called to adjust the widget.

Specified by:
  `setCurrentHeight` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Parameters:
  `currentHeight` - the current height to set

#### setCurrentWidth

    public void setCurrentWidth​(int currentWidth)

Sets the current width of the cool item. Update(SIZE) should be called to adjust the widget.

Specified by:
  `setCurrentWidth` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Parameters:
  `currentWidth` - the current width to set

#### setMinimumItemsToShow

    public void setMinimumItemsToShow​(int minimumItemsToShow)

Sets the minimum number of tool items to show in the cool item. If this number is less than the total tool items, a chevron will appear and the hidden tool items appear in a drop down menu. By default, all the tool items are shown in the cool item.

Specified by:
  `setMinimumItemsToShow` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Parameters:
  `minimumItemsToShow` - the minimum number of tool items to show.
See Also:
  `getMinimumItemsToShow()`, `setUseChevron(boolean)`

#### setUseChevron

    public void setUseChevron​(boolean value)

Enables or disables chevron support for the cool item. By default, chevron support is enabled.

Specified by:
  `setUseChevron` in interface `org.eclipse.jface.internal.provisional.action.IToolBarContributionItem`
Parameters:
  `value` - `true` to enable chevron support, `false` otherwise.

#### update

    public void update​(String propertyName)

Description copied from class: `ContributionItem`
The `ContributionItem` implementation of this method declared on `IContributionItem` does nothing. Subclasses should override to update their state.

Specified by:
  `update` in interface `IContributionItem`
Overrides:
  `update` in class `ContributionItem`
Parameters:
  `propertyName` - the id of the changed property